     dr=open("knigad")
     for i = 1 to size(dr)
        getlast(dr)
        delete(dr)
     next

     d = open("s51")
     for i = 1 to size(d)
        if i = 1 then getfirst(d)
        if i != 1 then getnext(d)
        if trim('Db_счета'.d) = "51"
        {
           if trim('Db_счета'.d) = "51" & trim('Kr_счета'.d) != "50"
           {
              clearbuf(dr)
              'Номер_док.'.dr = 'Документ'.d
              'Дата'.dr = 'Дата'.d
              'Доход'.dr = 'Сумма'.d
              'Содержание'.dr = 'Примечание'.d    
              insert(dr)
           }
        }
     next
     close(d)

     d = open("s50")
     for i = 1 to size(d)
        if i = 1 then getfirst(d)
        if i != 1 then getnext(d)
        if trim('Db_счета'.d) = "50"
        {
           if trim('Db_счета'.d) = "50" & trim('Kr_счета'.d) != "51"

           {
              clearbuf(dr)
              'Номер_док.'.dr = 'Документ'.d
              'Дата'.dr = 'Дата'.d
              'Доход'.dr = 'Сумма'.d
              'Содержание'.dr = 'Примечание'.d    
              insert(dr)
           }
        }
     next
     close(d)

     goto 999

     d = open("s62-1")
     for i = 1 to size(d)
        if i = 1 then getfirst(d)
        if i != 1 then getnext(d)
        if trim('Db_счета'.d) = "62-1"
        {
           clearbuf(dr)
           'Номер_док.'.dr = 'Документ'.d
           'Дата'.dr = 'Дата'.d
           'Доход'.dr = 'Сумма'.d
           'Содержание'.dr = 'Примечание'.d    
           insert(dr)
        }
      next
      close(d)
999
      close(dr)
      end
